"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function captureLogStream(stream, passThrough = false) {
    const oldWrite = stream.write;
    let buf = '';
    stream.write = function (chunk, encoding, callback) {
        buf += chunk.toString(); // chunk is a String or Buffer
        if (passThrough)
            oldWrite.apply(stream, arguments);
        return true;
    };
    return {
        unhook: function unhook() {
            stream.write = oldWrite;
        },
        captured: function () {
            return buf;
        }
    };
}
exports.captureLogStream = captureLogStream;
